MinAtom
Date: 2019-10-22

org.jmol.minimize

## Class MinAtom

- java.lang.Object
- - org.jmol.minimize.MinAtom

-     public class MinAtom
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Atom` | `atom`
    `(package private) int[]` | `bondedAtoms`
    `private javajs.util.Lst<MinBond>` | `bonds`
    `javajs.util.BS` | `bs14`
    `javajs.util.BS` | `bsVdw`
    `double[]` | `coord`
    `AtomType` | `ffAtomType`
    `int` | `ffType`
    `double[]` | `force`
    `int` | `hCount`
    `(package private) int` | `index`
    `int` | `nBonds`
    `double` | `partialCharge`
    `java.lang.String` | `sType`
    `java.lang.Integer` | `vdwKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinAtom(int index, Atom atom, double[] coord, int ac)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBond(MinBond bond, int i)`
    `int[]` | `getBondedAtomIndexes()`
    `int` | `getBondIndex(int j)`
    `MinBond` | `getBondTo(int iAtom)`
    `java.lang.String` | `getIdentity()`
    `static boolean` | `isLinear(MinAtom minAtom)`
    `(package private) void` | `set()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### index

          int index

    - #### sType

          public java.lang.String sType

    - #### atom

          public Atom atom

    - #### ffAtomType

          public AtomType ffAtomType

    - #### ffType

          public int ffType

    - #### vdwKey

          public java.lang.Integer vdwKey

    - #### coord

          public double[] coord

    - #### force

          public double[] force

    - #### bonds

          private javajs.util.Lst<MinBond> bonds

    - #### nBonds

          public int nBonds

    - #### hCount

          public int hCount

    - #### partialCharge

          public double partialCharge

    - #### bsVdw

          public javajs.util.BS bsVdw

    - #### bs14

          public javajs.util.BS bs14

    - #### bondedAtoms

          int[] bondedAtoms

  - ### Constructor Detail

    - #### MinAtom

          MinAtom(int index,
                  Atom atom,
                  double[] coord,
                  int ac)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### set

          void set()

    - #### getBondTo

          public MinBond getBondTo(int iAtom)

    - #### getBondedAtomIndexes

          public int[] getBondedAtomIndexes()

    - #### getIdentity

          public java.lang.String getIdentity()

    - #### addBond

          public void addBond(MinBond bond,
                              int i)

    - #### getBondIndex

          public int getBondIndex(int j)

    - #### isLinear

          public static boolean isLinear(MinAtom minAtom)